For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
LogoLogo
BlogLogin
API Referencereports

Detail

GET
https://api.flockx.io/api/v1/reports/:id
GET
/api/v1/reports/:id
$curl https://api.flockx.io/api/v1/reports/id \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "results": "foo",
6 "status": "foo",
7 "query": "What's going on in Grand Rapids, Michigan?"
8}
Get details of a specific report as JSON.
Was this page helpful?
Previous

websocketChat

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
resultsstring
Raw results of the report
statusstring or nullRead-only

Human-readable status label

querystringDefaults to What's going on in Grand Rapids, Michigan?
Focus of the research report

Errors

422
Unprocessable Entity Error